import Vue from 'vue';
import Message from './newMessage'
import {
  Pagination,
  Breadcrumb,
  BreadcrumbItem,
  Loading,
  MessageBox,
  Notification,
  Carousel,
  CarouselItem,
  Upload,
  Dialog,
  Radio,
  Select,
  Option,
  Button,
  Checkbox,
  InfiniteScroll,
  Image,
  Popover
} from 'element-ui';

Vue.use(Pagination);
Vue.use(InfiniteScroll);
Vue.use(Breadcrumb);
Vue.use(BreadcrumbItem);
Vue.use(Carousel);
Vue.use(Radio)
Vue.use(CarouselItem);
Vue.use(Upload);
Vue.use(Dialog);
Vue.use(CarouselItem)
Vue.use(Upload)
Vue.use(Select)
Vue.use(Option)
Vue.use(Button)
Vue.use(Checkbox)
Vue.use(Image)
Vue.use(Popover)

Vue.prototype.$loading = Loading.service;
Vue.prototype.$msgbox = MessageBox;
Vue.prototype.$alert = MessageBox.alert;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$prompt = MessageBox.prompt;
Vue.prototype.$notify = Notification;
Vue.prototype.$message = Message;
Vue.prototype.$Checkbox = Checkbox;
